## org.w3c.jigadm.editors
Interface AttributeEditorInterface

All Known Implementing Classes:
  AttributeEditor

public abstract interface AttributeEditorInterface

Method Summary
`void` | `addAttributeListener(AttributeListener el)` Add a Listener to this editor.
`void` | `clearChanged()` set the current value to be the original value, ie: changed must return false after a reset.
`java.lang.Object` | `getValue()` Get the current value of the edited value
`boolean` | `hasChanged()` Tells if the edited value has changed
`void` | `initialize(RemoteResourceWrapper w, Attribute a, java.lang.Object o, java.util.Properties p)` Initialize the editor
`void` | `removeAttributeListener(AttributeListener el)` Remove the listener from this editor.
`void` | `resetChanges()` reset the changes (if any)
`void` | `setValue(java.lang.Object o)` Set the value of the edited value

Method Detail

### hasChanged

    public boolean hasChanged()

  Tells if the edited value has changed
  Returns:
    true if the value changed.

### clearChanged

    public void clearChanged()

  set the current value to be the original value, ie: changed must return false after a reset.

### resetChanges

    public void resetChanges()

  reset the changes (if any)

### getValue

    public java.lang.Object getValue()

  Get the current value of the edited value
  Returns:
    an object or null if the object was not initialized

### setValue

    public void setValue(java.lang.Object o)

  Set the value of the edited value
  Parameters:
    `o` - the new value.

### addAttributeListener

    public void addAttributeListener(AttributeListener el)

  Add a Listener to this editor.
  Parameters:
    `el` - a listener

### removeAttributeListener

    public void removeAttributeListener(AttributeListener el)

  Remove the listener from this editor.
  Parameters:
    `el` - the listener to be removed.

### initialize

    public void initialize(RemoteResourceWrapper w,
                           Attribute a,
                           java.lang.Object o,
                           java.util.Properties p)
                    throws RemoteAccessException

  Initialize the editor
  Parameters:
    `w` - the ResourceWrapper father of the attribute
    `a` - the Attribute we are editing
    `o` - the value of the above attribute
    `p` - some Properties, used to fine-tune the editor
  Throws:
    RemoteAccessException - if a remote access error occurs.